BSON_REINIT(3)

SYNOPSIS

            void
            bson_reinit (bson_t *b);

PARAMETERS

    •   b: A bson_t.

DESCRIPTION

Reinitializes a bson_t.

If the bson_t structure contains a malloc()'d buffer, it may be reused. To be certain that any buffer is freed, always call bson_destroy() on any bson_t structure, whether initialized or reinitialized, after its final use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc